For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet open algo orders
        • POSTCreate algo order
        • GETGet algo orders history
        • GETGet algo order by id
        • DELCancel algo order by id
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceAlgos

Get open algo orders

GET
https://api.testnet.paradex.trade/v1/algo/orders
GET
/v1/algo/orders
$curl -X GET https://api.testnet.paradex.trade/v1/algo/orders \
>-H 'Accept: application/json' \
>-H 'Authorization: Bearer {JWT}'
1{
2 "results": [
3 {
4 "account": "0x4638e3041366aa71720be63e32e53e1223316c7f0d56f7aa617542ed1e7512",
5 "algo_type": "TWAP",
6 "avg_fill_price": "26000",
7 "cancel_reason": "NOT_ENOUGH_MARGIN",
8 "created_at": 1681493746016,
9 "end_at": 1681493746016,
10 "id": "123456",
11 "last_updated_at": 1681493746016,
12 "market": "BTC-USD-PERP",
13 "remaining_size": "0",
14 "side": "BUY",
15 "size": "0.05",
16 "status": "NEW"
17 }
18 ]
19}
Get current user all open algo orders
Was this page helpful?
Previous

Create algo order

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

OK
resultslist of objects
Array of results

Errors

400
Bad Request Error